Skip to main content
GET
/
subscriptions
/
plans
List subscription plans
curl --request GET \
  --url https://api.billing.io/v1/subscriptions/plans \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "plan_1a2b3c4d5e",
      "org_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "amount": 123,
      "currency": "<string>",
      "interval_count": 123,
      "trial_days": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}
List all subscription plans. Optionally filter by status.
curl "https://api.billing.io/v1/subscriptions/plans?status=active" \
  -H "Authorization: Bearer $BILLING_API_KEY"

Authorizations

Authorization
string
header
required

Use your secret API key as a Bearer token. Keys are prefixed: sk_live_ (production) or sk_test_ (sandbox).

Query Parameters

status
enum<string>
  • active — Plan is available for new subscriptions
  • archived — Plan is no longer available for new subscriptions
Available options:
active,
archived

Response

Subscription plan list

data
object[]
has_more
boolean
next_cursor
string | null